<?php 
/**
 * @package Geo Target Dragon Radar
 * @version 1.0.1
 */
/*
Plugin Name: Geo Target Dragon Radar
Description: Display Dynamic Geo-Targeting to your visitors. Just input this shortcode [dragonradar ifblank=""] to display city of the visitor, and default keyword in case where IP doesn't match.
Version: 1.0.1
Author: Kapsule Network
Author URI: https://www.kapsulecorp.com/
License: GPLv2
*/


if ( ! defined( 'ABSPATH' ) )
	exit;

define('DRAGONRADAR_SKOOTER_ROOTPATH', plugin_dir_path( __FILE__ )); // Chemin Serveur

// Check if Geoplugin Class Already Exist
add_action ('plugins_loaded', 'dragonradar_my_check_function');
function dragonradar_my_check_function () {
    if( !class_exists('geoPlugin')) {
       require_once(DRAGONRADAR_SKOOTER_ROOTPATH.'geoplugin.class.php');
    } 
}

function dragonradar_get_ip() {
	// IP si internet partagé
	if (isset($_SERVER['HTTP_CLIENT_IP'])) {
		return $_SERVER['HTTP_CLIENT_IP'];
	}
	// IP derrière un proxy
	elseif (isset($_SERVER['HTTP_X_FORWARDED_FOR'])) {
		return $_SERVER['HTTP_X_FORWARDED_FOR'];
	}
	// Sinon : IP normale
	else {
		return (isset($_SERVER['REMOTE_ADDR']) ? $_SERVER['REMOTE_ADDR'] : '');
	}
}

function dragonradar_scooter_geo($atts, $content = null, $tag = '') {
	$geoplugin = new geoplugin;
	$ip = dragonradar_get_ip();
	$geoplugin->locate($ip);

	$city = $geoplugin->city;

	if ($city == "") {
		$a = shortcode_atts( array('ifblank' => 1), $atts );
		$kw = esc_attr( $a['ifblank'] );
		return $kw;
		
	} else {
		
		return $city;
		
	}

}
add_shortcode( 'dragonradar', 'dragonradar_scooter_geo' );

// Ajout du  Bouton de ShortCode dans Tiny MCE
function dragonradar_fastshortcode_tinymce_button() {
	if ( ! current_user_can('edit_posts') 
	  && ! current_user_can('edit_pages') ) {
        return false;
    }

    if ( get_user_option('rich_editing') == 'true') {
		add_filter( 'mce_external_plugins', 'dragonradar_fastshortcode_script_tiny' );
		add_filter( 'mce_buttons', 'dragonradar_fastshortcode_register_button' );
	}
}

function dragonradar_fastshortcode_register_button( $buttons ) {
	array_push( $buttons, '|', 'dragonradar_bouton' );
	return $buttons;
}
add_action( 'admin_init', 'dragonradar_fastshortcode_tinymce_button' );

function dragonradar_fastshortcode_script_tiny( $plugin_array ) {
	$plugin_array['ekodragonradar'] = plugins_url( '/tinymscript.js', __FILE__ );
	return $plugin_array;
}

// !Fin Ajout du  Bouton de ShortCode dans Tiny MCE